## org.eclipse.datatools.sqltools.db.generic.ui.service
Class GenericSQLEditorUIService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.SQLEditorUIService
          org.eclipse.datatools.sqltools.db.generic.ui.service.GenericSQLEditorUIService

    public class GenericSQLEditorUIService

extends org.eclipse.datatools.sqltools.core.services.SQLEditorUIService

Author:
  Hui Cao

Constructor Summary
`GenericSQLEditorUIService()`

Method Summary
`java.util.Collection` `getExcludedActionIds()`

Methods inherited from class org.eclipse.datatools.sqltools.core.services.SQLEditorUIService
`getAdditionalActions, getExtendedSaveSupport, getSQLPairMatcher`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericSQLEditorUIService

    public GenericSQLEditorUIService()

Method Detail

### getExcludedActionIds

    public java.util.Collection getExcludedActionIds()